# Class ClientConfig

The configuration object definition

#### Hierarchy

- ClientConfig

- Defined in config.ts:19

#####
Index

### Constructors

constructor

### Accessors

apiKey
fetch

## Constructors

### constructor

- new ClientConfig(): ClientConfig

- #### Returns ClientConfig

## Accessors

### apiKey

- get apiKey(): string

- Get the MapTiler Cloud API key

  #### Returns string

  - Defined in config.ts:41
- set apiKey(k: string): void

- Set the MapTiler Cloud API key

  #### Parameters

  - ##### k: string

  #### Returns void

  - Defined in config.ts:34

### fetch

- get fetch(): FetchFunction

- Get the fetch fucntion

  #### Returns FetchFunction

  - Defined in config.ts:55
- set fetch(f: FetchFunction): void

- Set a the custom fetch function to replace the default one

  #### Parameters

  - ##### f: FetchFunction

  #### Returns void

  - Defined in config.ts:48

Generated using TypeDoc